iZettle E-commerce

Description

iZettle E-commerce is migrating to Selz. Please follow these steps to switch to Selz:

  1. Migrate your iZettle E-commerce account to Selz
  2. Once your account has been migrated, uninstall the iZettle E-commerce plugin
  3. Install and activate the Selz WordPress plugin
  4. Connect your Selz account

You can now use the Selz plugin to sell through WordPress.

If you have queries, you can contact us here at help@izettle.com

Installation

Install the plugin automatically from your WordPress dashboard or download it as a Zip file and install it manually.

Automatic Installation

  1. Install directly from your Dashboard (Plugins > Add New). Just search for “izettle e-commerce”.

Manual Installation

  1. Download the plugin zip file to your computer
  2. Navigate to to the ‘Plugins’ page in the WordPress Dashboard
  3. Select ‘Add New > Upload > Choose File’ and select the ’izettle-ecommerce.zip’ file

Once the plugin has been activated you will see the new Gutenberg blocks available under ’iZettle Ecommerce’.

Reviews

23. nov. 2020
So bad. I spend hours traying connect izettle plugin with my izettle account without success. Why you publish plugging without test it?
5. mai 2020
At £29 (GB Pounds) per MONTH you'd expect this to work but it is absolutely appalling! I don't think I ever wrote a review of a WordPress plugin but I had to write this because I am trying to create pages, I manage to add a couple of product widgets and then the products list is no longer loading. So I go out of page edit and reconnect iZettle. Back into editing. Add a product and then the products don't load again. It just keeps disconnecting the website form the iZettle account! I will be advising my client to dump iZettle.
27. mai 2019
Added over 500 products from the webshop to iZettle on my iPad, made all the sales on the event so easy, with thumbnails, search, prices and much more up to date! Really great integration! Full version is not cheap.
17. dets. 2018
Izettle want us to to remove woocommerce because they want us to use izettle shopping cart insted. All i wanted with this plugin was a payment gateway like stripe or paypal. This plugin Need to Be Re-written. A lot of work remains.
25. nov. 2018
So, you want us to pay you to create another eCommerce store when we already have a working eCommerce store using WooCommerce? At least show us some dignity by doing some research before releasing such plugins to us. You should know all your users on WordPress would already have WooCommerce stores. I reckon you need to go back to the drawing board and figure out all we need is a payment gateway that is linked to the iZettle card reader! Just like PayPal Here. Create a gateway for WooCommerce that will allow us to collect payment via our card readers when iZettle/POS is selected as medium of payment. Absolute joke. iSettle not for such iZettle!
Read all 6 reviews

Contributors & Developers

“iZettle E-commerce” is open source software. The following people have contributed to this plugin.

Contributors

“iZettle E-commerce” has been translated into 2 locales. Thank you to the translators for their contributions.

Translate “iZettle E-commerce” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Changelog

2.1.10

  • Deprecated plugin and provided migration instructions

2.1.9

  • General maintenance

2.1.8

  • Fixed issue preventing categories from loading in the Category panel

2.1.7

  • Improve authentication security

2.1.6

  • General maintenance

2.1.5

  • Removed category limit

2.1.4

  • Fixed issue preventing categories from loading in the Category panel

2.1.3

  • General maintenance

2.1.2

  • Fixed issue preventing Gutenberg editor from loading

2.1.1

  • Minor bug fix preventing plugin conflicts

2.1.0

  • Added: New category panel for the store block
  • Added: Automatic creation of store page on connection
  • Added: Toolbar menu for easy navigation to store pages
  • Added: UI improvements for new users

2.0.1

  • Added: Backward compatibility for shortcodes. Previously, shortcodes weren’t rendering on the front-end.

2.0.0

  • Fully compatible with WordPress 5.0; embeds are now fully featured Gutenberg blocks. Please note: if you previously installed the “Classic Editor” plugin, you’ll need to deactivate upon upgrading.

1.0.4

  • Fixed a compatibility issue with WordPress 5.0. Please note: to use this plugin with WordPress 5.0, the “Classic Editor” plugin is required. Full support for 5.0 and the new Gutenburg editor is coming soon.

1.0.3

  • Minor UI bug fix

1.0.2

  • Bug fixes with OAuth and API integration

1.0.1

  • An improvement to make updating more obvious

1.0.0

  • Initial release